Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(185)

Issue 29792596: #3298 - SSL monitoring script for icinga (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 2 weeks ago by l.rosilio
Modified:
1 month, 1 week ago
Reviewers:
Fred, mathias
CC:
f.lopez
Visibility:
Public.

Description

#3298 - SSL monitoring script for icinga

Patch Set 1 #

Patch Set 2 : #3298 - SSL monitoring script for icinga #

Total comments: 8

Patch Set 3 : #3298 - SSL monitoring script for icinga #

Total comments: 2

Patch Set 4 : #3298 - SSL monitoring script for icinga #

Total comments: 2

Patch Set 5 : #3298 - SSL monitoring script for Icinga #

Total comments: 4

Patch Set 6 : #3298 - SSL monitoring script for Icinga #

Patch Set 7 : #3298 - SSL monitoring script for icinga #

Total comments: 1

Patch Set 8 : #3298 - SSL monitoring script for icinga #

Unified diffs Side-by-side diffs Delta from patch set Stats (+97 lines, -0 lines) Patch
A check_ssl_cert.sh View 1 2 3 4 5 6 7 1 chunk +97 lines, -0 lines 0 comments Download

Messages

Total messages: 15
l.rosilio
2 months, 2 weeks ago (2018-05-28 14:54:41 UTC) #1
l.rosilio
2 months, 2 weeks ago (2018-05-29 13:30:18 UTC) #2
mathias
https://codereview.adblockplus.org/29792596/diff/29793562/check_ssl_cert.sh File check_ssl_cert.sh (right): https://codereview.adblockplus.org/29792596/diff/29793562/check_ssl_cert.sh#newcode8 check_ssl_cert.sh:8: PROGNAME=`basename $0` What if $0 contains white-space characters? https://codereview.adblockplus.org/29792596/diff/29793562/check_ssl_cert.sh#newcode9 ...
2 months, 2 weeks ago (2018-05-30 08:12:00 UTC) #3
l.rosilio
2 months, 1 week ago (2018-06-05 16:10:10 UTC) #4
mathias
https://codereview.adblockplus.org/29792596/diff/29799617/check_ssl_cert.sh File check_ssl_cert.sh (right): https://codereview.adblockplus.org/29792596/diff/29799617/check_ssl_cert.sh#newcode18 check_ssl_cert.sh:18: OUTPUT=`openssl s_client -connect "$HOST":"$PORT" </dev/null 2>/dev/null | openssl x509 ...
2 months, 1 week ago (2018-06-05 16:24:19 UTC) #5
l.rosilio
2 months, 1 week ago (2018-06-06 10:47:21 UTC) #6
mathias
https://codereview.adblockplus.org/29792596/diff/29800555/check_ssl_cert.sh File check_ssl_cert.sh (right): https://codereview.adblockplus.org/29792596/diff/29800555/check_ssl_cert.sh#newcode7 check_ssl_cert.sh:7: echo `openssl s_client -connect "$1":"$2" </dev/null 2>/dev/null | openssl ...
2 months ago (2018-06-11 14:14:03 UTC) #7
l.rosilio
2 months ago (2018-06-12 13:47:34 UTC) #8
mathias
https://codereview.adblockplus.org/29792596/diff/29805562/check_ssl_cert.sh File check_ssl_cert.sh (right): https://codereview.adblockplus.org/29792596/diff/29805562/check_ssl_cert.sh#newcode4 check_ssl_cert.sh:4: # Usage: <PluginDir>/check_ssl_cert -H <HOSTNAME> -P <PORT> -c <CRITICAL> ...
1 month, 3 weeks ago (2018-06-19 13:35:30 UTC) #9
l.rosilio
1 month, 3 weeks ago (2018-06-20 12:29:13 UTC) #10
mathias
LGTM.
1 month, 1 week ago (2018-07-02 14:25:27 UTC) #11
l.rosilio
1 month, 1 week ago (2018-07-04 14:06:40 UTC) #12
Fred
https://codereview.adblockplus.org/29792596/diff/29822568/check_ssl_cert.sh File check_ssl_cert.sh (right): https://codereview.adblockplus.org/29792596/diff/29822568/check_ssl_cert.sh#newcode37 check_ssl_cert.sh:37: fi That should work. But you could also use ...
1 month, 1 week ago (2018-07-04 14:24:10 UTC) #13
l.rosilio
1 month, 1 week ago (2018-07-04 14:33:59 UTC) #14
Fred
1 month, 1 week ago (2018-07-04 14:46:41 UTC) #15
LGTM
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87257f5